## open-infrastructure-storage-tools 20171101

=== Makefile ===
# Makefile

# storage-tools - Additional utilities to manage storage related tasks
# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL := sh -e

SOFTWARE = storage-tools
SCRIPTS = bin/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@echo -n "Checking for bashisms"

	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi

	@echo " done."

build: share/man/*.txt
	$(MAKE) -C share/man

	sed -n '/^NAME/,$$p' share/man/$(SOFTWARE).7.txt > README.txt

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/etc/cron.d
	cp -r share/cron/* $(DESTDIR)/etc/cron.d

	mkdir -p $(DESTDIR)/etc/logrotate.d
	cp -r share/logrotate/* $(DESTDIR)/etc/logrotate.d

	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
	cp -r share/ceph-info $(DESTDIR)/usr/share/$(SOFTWARE)

	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	mkdir -p $(DESTDIR)/etc/apache2/conf-available
	cp -a share/apache/conf/* $(DESTDIR)/etc/apache2/conf-available

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

	mkdir -p $(DESTDIR)/lib/systemd/system
	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system

	mkdir -p $(DESTDIR)/var/log/$(SOFTWARE)

uninstall:
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/var/log/$(SOFTWARE) || true

	for FILE in share/systemd*; \
	do \
		rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
	done

	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	for FILE in share/logrotate/*; \
	do \
		rm -f $(DESTDIR)/etc/logrotate.d/$$(basename $${FILE}); \
	done

	for FILE in share/cron/*; \
	do \
		rm -f $(DESTDIR)/etc/cron.d/$$(basename $${FILE}); \
	done

	for FILE in share/apache/conf/*; \
	do \
		rm -f $(DESTDIR)/etc/apache2/conf-available/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/apache2/conf-available || true

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc || true

	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share || true

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:
	$(MAKE) -C share/man clean

	rm -f README.txt

distclean:

reinstall: uninstall install

=== share/man/Makefile ===
# Makefile

# storage-tools - Additional utilities to manage storage related tasks
# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Depends: asciidoc dblatex docbook-xsl libxml2-utils source-highlight

A2X = a2x \
	--asciidoc-opts "-a revdate=$(shell cat ../../VERSION.txt)" \
	--doctype=manpage

SHELL := sh -e

all: build

clean:
	rm -f *.[0-9]
	rm -f *.xml

build: man

rebuild: clean build

man: *.txt
	for FILE in *.txt; \
	do \
		$(A2X) --format=manpage $${FILE}; \
	done

.PHONY: all clean build rebuild man

## open-infrastructure-storage-tools 20170410

=== debian/changelog ===
open-infrastructure-storage-tools (20170410-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20170410.
  * Adding storage-tools provides.
  * Adding new recommends for ceph-info.
  * Annotating recommends and suggests in control.
  * Adding debconf handling for /etc/default/storage-tools.
  * Removing superfluous --parallel when invoking debhelper as it's the
    default with compat level 10, thanks to Gianfranco Costamagna
    <locutusofborg@debian.org>.
  * Adding news entries for backwards incompatible changes of upstream
    version 20170410.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 11 Apr 2017 00:21:07 +0200

open-infrastructure-storage-tools (20170405-1) unstable; urgency=low

  * Initial upload to sid (Closes: #854666).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 08 Apr 2017 12:31:40 +0200

=== debian/control ===
Source: open-infrastructure-storage-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 apache2-dev,
 asciidoc,
 debhelper (>= 10),
 dh-systemd,
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Standards-Version: 3.9.8
Homepage: https://open-infrastructure.net/software/storage-tools
Vcs-Browser: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools
Vcs-Git: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools

Package: open-infrastructure-storage-tools
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 ceph-common | ceph-fs-common,
# ceph-info
 apache2 | httpd,
 fonts-font-awesome,
 libjs-bootstrap,
 libjs-jquery,
# ceph-log
 logrotate,
# ceph-remove-osd
 jq,
Suggests:
 ceph-fuse,
# cephfs-snap
 irker,
Provides:
 storage-tools,
Description: Additional utilities to manage storage related tasks
 storage-tools contains the following tools:
 .
   * ceph-log: store Ceph cluster log as a logfile
   * ceph-info: show Ceph cluster information as a website
   * cephfs-snap: create CephFS snapshots periodically
   * cephfs-remove-osd: remove a Ceph OSD instance completely

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := storage-tools

%:
	dh ${@} --with apache2,systemd

override_dh_auto_build:
	# disabled

override_dh_auto_install:
	dh_auto_install

	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/CHANGELOG.txt
	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/LICENSE.txt

	mv debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE) debian/open-infrastructure-$(PACKAGE)/usr/share/doc/open-infrastructure-$(PACKAGE)

=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/storage-tools/upstream/storage-tools-(.+)\.tar\.xz

## open-infrastructure-storage-tools 20171101

=== debian/changelog ===
open-infrastructure-storage-tools (20171101-2) unstable; urgency=medium

  * Uploading to sid.
  * Adding initial French debconf translations from Jean-Paul Guillonneau
    <guillonneau.jeanpaul@free.fr> (Closes: #860793).
  * Adding initial German debconf translations from Markus Hiereth
    <markus.hiereth@freenet.de> (Closes: #878413).
  * Adding initial Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #883467).
  * Adding Rules-Requires-Root field.
  * Updating to standards version 4.1.3.
  * Updating to debhelper compat 11.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 17 Feb 2018 09:04:23 +0100

open-infrastructure-storage-tools (20171101-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171101.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Nov 2017 09:20:17 +0100

open-infrastructure-storage-tools (20171017-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171017.
  * Updating to standards version 4.1.1.
  * Using https for copyright format url.
  * Using lzip tarball in watch file.
  * Adding initial Portuguese debconf translations from Copyright (C) 2017
    Rui Branco <ruipb@debianpt.org> (Closes: #861428).
  * Adding initial Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #862365).
  * Correcting typo in defaults for cephfs-snap-hourly debconf question,
    thanks to Markus Hiereth <markus.hiereth@freenet.de> (Closes:
    #877858).
  * Using 'HTML page' instead of website in package description and
    debconf messages (Closes: #877858).
  * Manually enabling ceph-log systemd service, thanks to Sakirnth
    Nagarasa <sakirnth.nagarasa@bfh.ch> (Closes: #860877).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 17 Oct 2017 16:12:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Build-Depends:
  apache2-dev,
  asciidoc,
- debhelper (>= 10),
- dh-systemd,
+ debhelper (>= 11),
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
  xsltproc,
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
 Homepage: https://open-infrastructure.net/software/storage-tools
 Vcs-Browser: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools
 Vcs-Git: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools
@@ -41,6 +41,6 @@
  storage-tools contains the following tools:
  .
    * ceph-log: store Ceph cluster log as a logfile
-   * ceph-info: show Ceph cluster information as a website
+   * ceph-info: show Ceph cluster information as a HTML page
    * cephfs-snap: create CephFS snapshots periodically
    * cephfs-remove-osd: remove a Ceph OSD instance completely

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PACKAGE := storage-tools
 
 %:
-	dh ${@} --with apache2,systemd
+	dh ${@} --with apache2
 
 override_dh_auto_build:
 	# disabled
@@ -15,3 +15,6 @@
 	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/LICENSE.txt
 
 	mv debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE) debian/open-infrastructure-$(PACKAGE)/usr/share/doc/open-infrastructure-$(PACKAGE)
+
+override_dh_systemd_enable:
+	dh_systemd_enable --name=ceph-log

## open-infrastructure-storage-tools 20180915

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # storage-tools - Additional utilities to manage storage related tasks
 # Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== share/man/Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # storage-tools - Additional utilities to manage storage related tasks
 # Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
open-infrastructure-storage-tools (20180915-3) unstable; urgency=medium

  * Adding missing breaks and replaces in control (Closes: #921212).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Feb 2019 09:14:54 +0100

open-infrastructure-storage-tools (20180915-2) unstable; urgency=medium

  * Updating to standards version 4.3.0.
  * Updating vcs fields.
  * Updating year in copyright for 2019.
  * Updating to debhelper 12.
  * Using build-depends to specify debhelper compatibility.
  * Repeating Section for binary packages in control.
  * Renaming binary package to open-infrastructure-ceph-tools for
    consistency and future-proofing.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 09:49:38 +0100

open-infrastructure-storage-tools (20180915-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180915:
    - adding ceph health detail to ceph-info (Closes: #909074).
  * Adding enhances for ceph.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 18 Sep 2018 09:08:44 +0200

open-infrastructure-storage-tools (20171101-3) unstable; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file.
  * Updating to standards version 4.2.1.
  * Updating German debconf translations, thanks to Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #905488).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Aug 2018 11:18:16 +0200

=== debian/control ===
Source: open-infrastructure-storage-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 apache2-dev,
 asciidoc,
 debhelper-compat (= 12),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://open-infrastructure.net/software/storage-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools

Package: open-infrastructure-ceph-tools
Section: admin
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 ceph-common | ceph-fs-common,
# ceph-info
 apache2 | httpd,
 fonts-font-awesome,
 libjs-bootstrap,
 libjs-jquery,
# ceph-log
 logrotate,
# ceph-remove-osd
 jq,
Suggests:
 ceph-fuse,
# cephfs-snap
 irker,
Provides:
 ceph-tools,
Enhances:
 ceph,
Breaks:
 open-infrastructure-storage-tools (<< 20180915-2~),
Replaces:
  open-infrastructure-storage-tools,
Description: Additional utilities to manage Ceph
 ceph-tools contains the following tools:
 .
   * ceph-log: store Ceph cluster log as a logfile
   * ceph-info: show Ceph cluster information as a HTML page
   * cephfs-snap: create CephFS snapshots periodically
   * cephfs-remove-osd: remove a Ceph OSD instance completely

Package: open-infrastructure-storage-tools
Architecture: all
Depends:
 open-infrastructure-ceph-tools (= ${source:Version}),
 ${misc:Depends},
Description: Additional utilities to manage Ceph (transitional package)
 Package to ease upgrading from older open-infrastructure-storage-tools package
 to the new open-infrastructure-ceph-tools package.
 .
 This package can be purged at anytime once the open-infrastructure-ceph-tools
 package has been installed.

=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/storage-tools/upstream/storage-tools-(.+)\.tar\.lz

## open-infrastructure-storage-tools 20190301

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,4 @@
-# Makefile
-
-# storage-tools - Additional utilities to manage storage related tasks
-# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -20,7 +17,10 @@
 
 SHELL := sh -e
 
+PROJECT = open-infrastructure
 SOFTWARE = storage-tools
+PROGRAM = ceph-tools
+
 SCRIPTS = bin/*
 
 all: build
@@ -60,20 +60,26 @@
 	mkdir -p $(DESTDIR)/usr/bin
 	cp -r bin/* $(DESTDIR)/usr/bin
 
+	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
+	cp -r VERSION.txt $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
+
+	mkdir -p $(DESTDIR)/etc/apache2/conf-available
+	cp -a share/apache/conf/* $(DESTDIR)/etc/apache2/conf-available
+
 	mkdir -p $(DESTDIR)/etc/cron.d
 	cp -r share/cron/* $(DESTDIR)/etc/cron.d
 
 	mkdir -p $(DESTDIR)/etc/logrotate.d
 	cp -r share/logrotate/* $(DESTDIR)/etc/logrotate.d
 
-	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
-	cp -r share/ceph-info $(DESTDIR)/usr/share/$(SOFTWARE)
+	mkdir -p $(DESTDIR)/lib/systemd/system
+	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system
+
+	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
+	cp -r share/ceph-info $(DESTDIR)/usr/share/$(PROJECT)
 
 	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)
-
-	mkdir -p $(DESTDIR)/etc/apache2/conf-available
-	cp -a share/apache/conf/* $(DESTDIR)/etc/apache2/conf-available
 
 	for SECTION in $$(seq 1 8); \
 	do \
@@ -84,18 +90,10 @@
 		fi; \
 	done
 
-	mkdir -p $(DESTDIR)/lib/systemd/system
-	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system
-
-	mkdir -p $(DESTDIR)/var/log/$(SOFTWARE)
+	mkdir -p $(DESTDIR)/var/log/$(PROJECT)
 
 uninstall:
-	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/var/log/$(SOFTWARE) || true
-
-	for FILE in share/systemd*; \
-	do \
-		rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
-	done
+	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/var/log/$(PROJECT) || true
 
 	for SECTION in $$(seq 1 8); \
 	do \
@@ -104,6 +102,11 @@
 			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
 		done; \
 		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
+	done
+
+	for FILE in share/systemd*; \
+	do \
+		rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
 	done
 
 	for FILE in share/logrotate/*; \
@@ -125,7 +128,7 @@
 	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc || true
 
-	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)
+	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/$(SOFTWARE)
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share || true
 
 	for FILE in bin/*; \

## open-infrastructure-storage-tools 20190301-lts1

=== debian/changelog ===
open-infrastructure-storage-tools (20190301-lts1-6) sid; urgency=medium

  * Uploading to sid.
  * Removing pre-bookworm transitional package.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Adding patch to install systemd unit files in /usr, thanks to Helmut
    Grohne <helmut@subdivi.de> (Closes: #1063458).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 05 Jun 2024 06:31:41 +0200

open-infrastructure-storage-tools (20190301-lts1-5) sid; urgency=high

  * Uploading to sid, with bumped urgency due to upcoming freeze deadline.
  * Correcting breaks/replaces for clean upgrade from bullseye, thanks to
    Andreas Beckmann <anbe@debian.org> (Closes: #1030784).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 07 Feb 2023 15:31:53 +0100

open-infrastructure-storage-tools (20190301-lts1-4) sid; urgency=medium

  * Uploading to sid.
  * Renaming ceph-tools to storage-tools to avoid future NEW processing
    for adding additional tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Feb 2023 12:37:24 +0100

open-infrastructure-storage-tools (20190301-lts1-3) sid; urgency=medium

  * Uploading to sid.
  * Adding changelog entries for debian version 20190301-lts1-2.1.
  * Updating to debhelper version 13.
  * Updating to standards version 4.6.2.
  * Updating http links to https in copyright.
  * Adding initial Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #988448).
  * Adding initial Brazilian-Portuguese debconf translations from Paulo
    Henrique de Lima Santana <phls@debian.org> (Closes: #986499).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 23 Jan 2023 11:28:30 +0100

open-infrastructure-storage-tools (20190301-lts1-2.1) sid; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:33:20 +0200

open-infrastructure-storage-tools (20190301-lts1-2) sid; urgency=medium

  * Uploading to sid.
  * Using codenames as upload targets in changelog.
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.
  * Adding patch to fix FTBFS with newer asciidoc versions (Closes:
    #948902).
  * Adding updated French debconf translations from Jean-Philippe Mengual
    <mengualjeanphi@free.fr> (Closes: #914579).
  * Creating missing directory in /etc in postinst when required (Closes:
    #924106).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 21 Jan 2020 21:56:18 +0100

open-infrastructure-storage-tools (20190301-lts1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301-lts1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 19:53:19 +0100

open-infrastructure-storage-tools (20190301-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301.
  * Removing source local-options, not needed anymore.
  * Updating packaging for upstream rename.
  * Adding entries with upload targets in changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 19:48:18 +0100

open-infrastructure-storage-tools (20180915-3) sid; urgency=medium

  * Uploading to sid.
  * Adding missing breaks and replaces in control (Closes: #921212).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Feb 2019 09:14:54 +0100

open-infrastructure-storage-tools (20180915-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.3.0.
  * Updating vcs fields.
  * Updating year in copyright for 2019.
  * Updating to debhelper 12.
  * Using build-depends to specify debhelper compatibility.
  * Repeating Section for binary packages in control.
  * Renaming binary package to open-infrastructure-ceph-tools for
    consistency and future-proofing.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 09:49:38 +0100

open-infrastructure-storage-tools (20180915-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180915:
    - adding ceph health detail to ceph-info (Closes: #909074).
  * Adding enhances for ceph.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 18 Sep 2018 09:08:44 +0200

open-infrastructure-storage-tools (20171101-3) sid; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file.
  * Updating to standards version 4.2.1.
  * Updating German debconf translations, thanks to Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #905488).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Aug 2018 11:18:16 +0200

open-infrastructure-storage-tools (20171101-2) sid; urgency=medium

  * Uploading to sid.
  * Adding initial French debconf translations from Jean-Paul Guillonneau
    <guillonneau.jeanpaul@free.fr> (Closes: #860793).
  * Adding initial German debconf translations from Markus Hiereth
    <markus.hiereth@freenet.de> (Closes: #878413).
  * Adding initial Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #883467).
  * Adding Rules-Requires-Root field.
  * Updating to standards version 4.1.3.
  * Updating to debhelper compat 11.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 17 Feb 2018 09:04:23 +0100

open-infrastructure-storage-tools (20171101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171101.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Nov 2017 09:20:17 +0100

open-infrastructure-storage-tools (20171017-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171017.
  * Updating to standards version 4.1.1.
  * Using https for copyright format url.
  * Using lzip tarball in watch file.
  * Adding initial Portuguese debconf translations from Copyright (C) 2017
    Rui Branco <ruipb@debianpt.org> (Closes: #861428).
  * Adding initial Dutch debconf translations from Frans Spiesschaert


=== debian/control ===
Source: open-infrastructure-storage-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 apache2-dev,
 asciidoc,
 debhelper-compat (= 13),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://open-infrastructure.net/software/storage-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools

Package: open-infrastructure-storage-tools
Section: admin
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 ceph-common | ceph-fs-common,
# ceph-info
 apache2 | httpd,
 fonts-font-awesome,
 libjs-bootstrap,
 libjs-jquery,
# ceph-log
 logrotate,
# ceph-remove-osd
 jq,
Suggests:
 ceph-fuse,
# cephfs-snap
 irker,
Provides:
 storage-tools,
Enhances:
 ceph,
Description: Additional utilities to manage Ceph
 storage-tools contains the following tools:
 .
   * ceph-log: store Ceph cluster log as a logfile
   * ceph-info: show Ceph cluster information as a HTML page
   * cephfs-snap: create CephFS snapshots periodically
   * cephfs-remove-osd: remove a Ceph OSD instance completely

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://get.open-infrastructure.net/software/storage-tools/upstream/storage-tools-(.+)\.tar\.lz
